Red Hat Satellite 6.4.1 is now generally available. The main drivers for the 6.4.1 release are upgrade and stability fixes.  Thirteen bugs have been addressed in this release - the complete list is at the end of the post. The most notable issue is compatibility with Red Hat Enterprise Linux 7.6.

There is one erratum for the server and one for the hosts. The install ISOs will be updated soon, but customers registered via Red Hat Subscription Manager can update via `foreman-maintain` as described in the upgrade guide today.

Customers who have already upgraded to Satellite 6.4 should follow the instructions in the errata. Customers who are on versions of Satellite prior to 6.4 should refer to the Upgrading and Updating Red Hat Satellite Guide. You may also want to consider using the Satellite Upgrade Helper if moving from Satellite 6.x to Satellite 6.4.

Customers who have received hotfixes should check the list of bugs fixed to confirm their hotfix is contained in the release before upgrading. Please reach out to Red Hat Support if you have applied a hotfix that doesn’t correspond to one of the bugs mentioned below to verify that you can apply the hotfix to Satellite 6.4.1.

This update fixes the following bugs:

  • BZ - 1636328 - foreman-installer —reset cannot empty local mongo 3.4 database
  • BZ - 1638403 - Create Host fails with: "Invalid single-table inheritance type: Host::Discovered is not a subclass of Host::Managed"
  • BZ - 1646733 - hammer hostgroup info —output json returns json including non unique keys
  • BZ - 1646739 - Upgrade from 6.3.4 to 6.4 is failing on foreman-rake katello:import_subscriptions
  • BZ - 1646740 - Non admin user is unable to see the audits for katello and taxable resources created by admin using Any Location context
  • BZ - 1646741 - While upgrading satellite from 6.3->6.4, satellite-installer does not perform remove_legacy_mongo step in some situations which results in error
  • BZ - 1646742 - [Satellite 6.2.14] Config group is not working with customer user role. (Failing with Stack level too deep)
  • BZ - 1646745 - Ansible processes might get killed when logrotate runs for smart_proxy_dynflow_core
  • BZ - 1646747 - 6.4 snap25 bug joining a realm on kickstart
  • BZ - 1646748 - Upgrade to Satellite 6.4 is failing on script 20180516103339_update_idm_params.rb
  • BZ - 1646755 - [Satellite 6] Adding search for lifecycle_environment or lifecycle_environment_id in role host filter with permission view_hosts does not construct SQL query when API is used
  • BZ - 1651960 - Upgrade from 6.4.0 to 6.4.1 failed at Upgrade Step: remove_legacy_mongo
  • BZ - 1646736 - goferd errors with "[...] Condition('amqp:resource-limit-exceeded', 'local-idle-timeout expired')" when pushing Errata from Satellite

관심 주제

관심있는 소식을 찾아 보세요